/**************************************************************************************
 * Copyright (c) Jonas Bonr, Alexandre Vasseur. All rights reserved.                 *
 * http://aspectwerkz.codehaus.org                                                    *
 * ---------------------------------------------------------------------------------- *
 * The software in this package is published under the terms of the LGPL license      *
 * a copy of which has been included with this distribution in the license.txt file.  *
 **************************************************************************************/
package org.codehaus.aspectwerkz;

/**
 * Holds keys to for the meta-data used by the system.
 * 
 * @author <a href="mailto:jboner@codehaus.org">Jonas Bonr </a>
 */
public final class MetaDataKeys {
    public static final String TARGET_OBJECT_UUID = "___TARGET_OBJECT_UUID___";

    public static final String ASPECT_COMPONENT_UUID = "___ASPECT_COMPONENT_UUID___";

    public static final String DEPLOYMENT_MODEL = "___DEPLOYMENT_MODEL___";
}